Support » Plugin: Genesis Testimonial Slider » JS error on latest WP

  • Hi

    Thank you for creating this plugin.

    I am getting this error:
    SyntaxError: expected expression, got ‘,’

    when using your plugin with the Showcase Pro theme from Genesis.

    Genesis 2.5
    WP 4.7.4
    Genesis Testimonial Slider 1.2.2

    Thanks

Viewing 4 replies - 1 through 4 (of 4 total)
  • I’m seeing “(index):119 Uncaught SyntaxError: Unexpected token ,” in the console as well.

    Genesis Sample or Gallery Pro
    Genesis
    WP 4.7.4
    Genesis Testimonial Slider 1.2.2

    All other plugins deactivated.

    Plugin Author Frank Schrijvers

    (@frankschrijvers)

    Hi, I can not reproduce these two errors. I’ve tested it with WordPress 4.7.5, Latest Genesis version and the Genesis Sample theme. Can you e-mail me some more details?

    I’m seeing the same issue though mine cites a slightly different line. I’m using the Showcase Pro theme.

    It looks like it’s coming from genesis-testimonials.php line 157 where the items value isn’t set to anything thus it comes out like items: , but should really have an integer there.

    Once I manually set that to 1 (or another integer) and then provide a default value to the pause parameter the slider starts working fine.

    So it looks like if you define preset default values for your params if there are none set the problems should resolve themselves.

    • This reply was modified 2 years, 5 months ago by  curtismchale. Reason: gave incorrect fix information

    I just installed this plugin on a site using infinity pro theme and ran into this issue. Thanks @curtismchale for saving me a bit of time digging through the code to fix this.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘JS error on latest WP’ is closed to new replies.